Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.HeaderFooterContent Class Reference

## Public Member Functions
| HeaderFooterContent ()
| Constructor.
| HeaderFooterContent (HeaderFooterContent other)
| Constructor, with another header-footer content object. More...
| HeaderFooterContent (String header_left_content, String header_center_content, String header_right_content, String footer_left_content, String footer_center_content, String footer_right_content)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getFooter_center_content ()
| Get content for center footer. More...
String | getFooter_left_content ()
| Get content for left footer. More...
String | getFooter_right_content ()
| Get content for right footer. More...
String | getHeader_center_content ()
| Get content for center header. More...
String | getHeader_left_content ()
| Get content for left header. More...
String | getHeader_right_content ()
| Get content for right header. More...
void | set (String header_left_content, String header_center_content, String header_right_content, String footer_left_content, String footer_center_content, String footer_right_content)
| Set value. More...
void | setFooter_center_content (String value)
| Set content for center footer. More...
void | setFooter_left_content (String value)
| Set content for left footer. More...
void | setFooter_right_content (String value)
| Set content for right footer. More...
void | setHeader_center_content (String value)
| Set content for center header. More...
void | setHeader_left_content (String value)
| Set content for left header. More...
void | setHeader_right_content (String value)
| Set content for right header. More...

## Detailed Description

This class represents the header-footer content. Any string member of this class can set directly or be generated by using class HeaderFooterContentGenerator .

See also
  HeaderFooterContentGenerator .

## Constructor & Destructor Documentation

## ◆ HeaderFooterContent() [1/2]

com.foxit.sdk.pdf.HeaderFooterContent.HeaderFooterContent | ( | String | header_left_content,
|  | String | header_center_content,
|  | String | header_right_content,
|  | String | footer_left_content,
|  | String | footer_center_content,
|  | String | footer_right_content
| ) |  |

Constructor, with parameters.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

## ◆ HeaderFooterContent() [2/2]

com.foxit.sdk.pdf.HeaderFooterContent.HeaderFooterContent | ( | HeaderFooterContent | other | ) |

Constructor, with another header-footer content object.

Parameters

  [in] | other | Another header-footer content object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.HeaderFooterContent.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFooter_center_content()

com.foxit.sdk.pdf.HeaderFooterContent.getFooter_center_content | ( |  | ) |

Get content for center footer.

Returns
  Content for center footer.

## ◆ getFooter_left_content()

com.foxit.sdk.pdf.HeaderFooterContent.getFooter_left_content | ( |  | ) |

Get content for left footer.

Returns
  Content for left footer.

## ◆ getFooter_right_content()

com.foxit.sdk.pdf.HeaderFooterContent.getFooter_right_content | ( |  | ) |

Get content for right footer.

Returns
  Content for right footer.

## ◆ getHeader_center_content()

com.foxit.sdk.pdf.HeaderFooterContent.getHeader_center_content | ( |  | ) |

Get content for center header.

Returns
  Content for center header.

## ◆ getHeader_left_content()

com.foxit.sdk.pdf.HeaderFooterContent.getHeader_left_content | ( |  | ) |

Get content for left header.

Returns
  Content for left header.

## ◆ getHeader_right_content()

com.foxit.sdk.pdf.HeaderFooterContent.getHeader_right_content | ( |  | ) |

Get content for right header.

Returns
  Content for right header.

## ◆ set()

void com.foxit.sdk.pdf.HeaderFooterContent.set | ( | String | header_left_content,
|  | String | header_center_content,
|  | String | header_right_content,
|  | String | footer_left_content,
|  | String | footer_center_content,
|  | String | footer_right_content
| ) |  |

Set value.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

Returns
  None.

## ◆ setFooter_center_content()

com.foxit.sdk.pdf.HeaderFooterContent.setFooter_center_content | ( | String | value | ) |

Set content for center footer.

Parameters

  [in] | value | Content for center footer.

Returns
  None.

## ◆ setFooter_left_content()

com.foxit.sdk.pdf.HeaderFooterContent.setFooter_left_content | ( | String | value | ) |

Set content for left footer.

Parameters

  [in] | value | Content for left footer.

Returns
  None.

## ◆ setFooter_right_content()

com.foxit.sdk.pdf.HeaderFooterContent.setFooter_right_content | ( | String | value | ) |

Set content for right footer.

Parameters

  [in] | value | Content for right footer.

Returns
  None.

## ◆ setHeader_center_content()

com.foxit.sdk.pdf.HeaderFooterContent.setHeader_center_content | ( | String | value | ) |

Set content for center header.

Parameters

  [in] | value | Content for center header.

Returns
  None.

## ◆ setHeader_left_content()

com.foxit.sdk.pdf.HeaderFooterContent.setHeader_left_content | ( | String | value | ) |

Set content for left header.

Parameters

  [in] | value | Content for left header.

Returns
  None.

## ◆ setHeader_right_content()

com.foxit.sdk.pdf.HeaderFooterContent.setHeader_right_content | ( | String | value | ) |

Set content for right header.

Parameters

  [in] | value | Content for right header.

Returns
  None.